Package org.lwjgl.opengl

# Class EXTFramebufferObject

java.lang.Object
org.lwjgl.opengl.EXTFramebufferObject

public final class EXTFramebufferObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_ATTACHMENT0_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT1_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT10_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT11_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT12_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT13_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT14_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT15_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT2_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT3_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT4_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT5_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT6_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT7_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT8_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_COLOR_ATTACHMENT9_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_DEPTH_ATTACHMENT_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_BINDING_EXT`
Accepted by GetIntegerv():
`static final int`
`GL_FRAMEBUFFER_COMPLETE_EXT`
Returned by CheckFramebufferStatusEXT():
`static final int`
`GL_FRAMEBUFFER_EXT`
Accepted by the <target> parameter of BindFramebufferEXT, CheckFramebufferStatusEXT, FramebufferTexture{1D|2D|3D}EXT, and FramebufferRenderbufferEXT:
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT`
Returned by CheckFramebufferStatusEXT():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT`
Returned by CheckFramebufferStatusEXT():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT`
Returned by CheckFramebufferStatusEXT():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT`
Returned by CheckFramebufferStatusEXT():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT`
Returned by CheckFramebufferStatusEXT():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT`
Returned by CheckFramebufferStatusEXT():
`static final int`
`GL_FRAMEBUFFER_UNSUPPORTED_EXT`
Returned by CheckFramebufferStatusEXT():
`static final int`
`GL_INVALID_FRAMEBUFFER_OPERATION_EXT`
Returned by GetError():
`static final int`
`GL_MAX_COLOR_ATTACHMENTS_EXT`
Accepted by GetIntegerv():
`static final int`
`GL_MAX_RENDERBUFFER_SIZE_EXT`
Accepted by GetIntegerv():
`static final int`
`GL_RENDERBUFFER_ALPHA_SIZE_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_RENDERBUFFER_BINDING_EXT`
Accepted by GetIntegerv():
`static final int`
`GL_RENDERBUFFER_BLUE_SIZE_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_RENDERBUFFER_DEPTH_SIZE_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_RENDERBUFFER_EXT`
Accepted by the <target> parameter of BindRenderbufferEXT, RenderbufferStorageEXT, and GetRenderbufferParameterivEXT, and returned by GetFramebufferAttachmentParameterivEXT:
`static final int`
`GL_RENDERBUFFER_GREEN_SIZE_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_RENDERBUFFER_HEIGHT_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_RENDERBUFFER_INTERNAL_FORMAT_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_RENDERBUFFER_RED_SIZE_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_RENDERBUFFER_STENCIL_SIZE_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_RENDERBUFFER_WIDTH_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:
`static final int`
`GL_STENCIL_ATTACHMENT_EXT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT
`static final int`
`GL_STENCIL_INDEX1_EXT`
Accepted by the <internalformat> parameter of RenderbufferStorageEXT:
`static final int`
`GL_STENCIL_INDEX16_EXT`
Accepted by the <internalformat> parameter of RenderbufferStorageEXT:
`static final int`
`GL_STENCIL_INDEX4_EXT`
Accepted by the <internalformat> parameter of RenderbufferStorageEXT:
`static final int`
`GL_STENCIL_INDEX8_EXT`
Accepted by the <internalformat> parameter of RenderbufferStorageEXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindFramebufferEXT(int target, int framebuffer)`
`static void`
`glBindRenderbufferEXT(int target, int renderbuffer)`
`static int`
`glCheckFramebufferStatusEXT(int target)`
`static void`
`glDeleteFramebuffersEXT(int framebuffer)`
Overloads glDeleteFramebuffersEXT.
`static void`
`glDeleteFramebuffersEXT(IntBuffer framebuffers)`
`static void`
`glDeleteRenderbuffersEXT(int renderbuffer)`
Overloads glDeleteRenderbuffersEXT.
`static void`
`glDeleteRenderbuffersEXT(IntBuffer renderbuffers)`
`static void`
`glFramebufferRenderbufferEXT(int target, int attachment, int renderbuffertarget, int renderbuffer)`
`static void`
`glFramebufferTexture1DEXT(int target, int attachment, int textarget, int texture, int level)`
`static void`
`glFramebufferTexture2DEXT(int target, int attachment, int textarget, int texture, int level)`
`static void`
`glFramebufferTexture3DEXT(int target, int attachment, int textarget, int texture, int level, int zoffset)`
`static void`
`glGenerateMipmapEXT(int target)`
`static int`
`glGenFramebuffersEXT()`
Overloads glGenFramebuffersEXT.
`static void`
`glGenFramebuffersEXT(IntBuffer framebuffers)`
`static int`
`glGenRenderbuffersEXT()`
Overloads glGenRenderbuffersEXT.
`static void`
`glGenRenderbuffersEXT(IntBuffer renderbuffers)`
`static int`
`glGetFramebufferAttachmentParameterEXT(int target, int attachment, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetFramebufferAttachmentParameterEXT(int target, int attachment, int pname, IntBuffer params)`
`static int`
`glGetFramebufferAttachmentParameteriEXT(int target, int attachment, int pname)`
Overloads glGetFramebufferAttachmentParameterivEXT.
`static int`
`glGetRenderbufferParameterEXT(int target, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetRenderbufferParameterEXT(int target, int pname, IntBuffer params)`
`static int`
`glGetRenderbufferParameteriEXT(int target, int pname)`
Overloads glGetRenderbufferParameterivEXT.
`static boolean`
`glIsFramebufferEXT(int framebuffer)`
`static boolean`
`glIsRenderbufferEXT(int renderbuffer)`
`static void`
`glRenderbufferStorageEXT(int target, int internalformat, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FRAMEBUFFER_EXT

public static final int GL_FRAMEBUFFER_EXT
Accepted by the <target> parameter of BindFramebufferEXT, CheckFramebufferStatusEXT, FramebufferTexture{1D|2D|3D}EXT, and FramebufferRenderbufferEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_EXT

public static final int GL_RENDERBUFFER_EXT
Accepted by the <target> parameter of BindRenderbufferEXT, RenderbufferStorageEXT, and GetRenderbufferParameterivEXT, and returned by GetFramebufferAttachmentParameterivEXT:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX1_EXT

public static final int GL_STENCIL_INDEX1_EXT
Accepted by the <internalformat> parameter of RenderbufferStorageEXT:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX4_EXT

public static final int GL_STENCIL_INDEX4_EXT
Accepted by the <internalformat> parameter of RenderbufferStorageEXT:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX8_EXT

public static final int GL_STENCIL_INDEX8_EXT
Accepted by the <internalformat> parameter of RenderbufferStorageEXT:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX16_EXT

public static final int GL_STENCIL_INDEX16_EXT
Accepted by the <internalformat> parameter of RenderbufferStorageEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_WIDTH_EXT

public static final int GL_RENDERBUFFER_WIDTH_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_HEIGHT_EXT

public static final int GL_RENDERBUFFER_HEIGHT_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_INTERNAL_FORMAT_EXT

public static final int GL_RENDERBUFFER_INTERNAL_FORMAT_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_RED_SIZE_EXT

public static final int GL_RENDERBUFFER_RED_SIZE_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_GREEN_SIZE_EXT

public static final int GL_RENDERBUFFER_GREEN_SIZE_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BLUE_SIZE_EXT

public static final int GL_RENDERBUFFER_BLUE_SIZE_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_ALPHA_SIZE_EXT

public static final int GL_RENDERBUFFER_ALPHA_SIZE_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_DEPTH_SIZE_EXT

public static final int GL_RENDERBUFFER_DEPTH_SIZE_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_STENCIL_SIZE_EXT

public static final int GL_RENDERBUFFER_STENCIL_SIZE_EXT
Accepted by the <pname> parameter of GetRenderbufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_EXT
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_EXT
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_EXT
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_EXT
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_EXT
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivEXT:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT0_EXT

public static final int GL_COLOR_ATTACHMENT0_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT1_EXT

public static final int GL_COLOR_ATTACHMENT1_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT2_EXT

public static final int GL_COLOR_ATTACHMENT2_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT3_EXT

public static final int GL_COLOR_ATTACHMENT3_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT4_EXT

public static final int GL_COLOR_ATTACHMENT4_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT5_EXT

public static final int GL_COLOR_ATTACHMENT5_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT6_EXT

public static final int GL_COLOR_ATTACHMENT6_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT7_EXT

public static final int GL_COLOR_ATTACHMENT7_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT8_EXT

public static final int GL_COLOR_ATTACHMENT8_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT9_EXT

public static final int GL_COLOR_ATTACHMENT9_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT10_EXT

public static final int GL_COLOR_ATTACHMENT10_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT11_EXT

public static final int GL_COLOR_ATTACHMENT11_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT12_EXT

public static final int GL_COLOR_ATTACHMENT12_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT13_EXT

public static final int GL_COLOR_ATTACHMENT13_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT14_EXT

public static final int GL_COLOR_ATTACHMENT14_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT15_EXT

public static final int GL_COLOR_ATTACHMENT15_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_DEPTH_ATTACHMENT_EXT

public static final int GL_DEPTH_ATTACHMENT_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_STENCIL_ATTACHMENT_EXT

public static final int GL_STENCIL_ATTACHMENT_EXT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}EXT, FramebufferRenderbufferEXT, and GetFramebufferAttachmentParameterivEXT

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_COMPLETE_EXT

public static final int GL_FRAMEBUFFER_COMPLETE_EXT
Returned by CheckFramebufferStatusEXT():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT

public static final int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_EXT
Returned by CheckFramebufferStatusEXT():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT

public static final int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_EXT
Returned by CheckFramebufferStatusEXT():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT

public static final int GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT
Returned by CheckFramebufferStatusEXT():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT

public static final int GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT
Returned by CheckFramebufferStatusEXT():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT

public static final int GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_EXT
Returned by CheckFramebufferStatusEXT():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT

public static final int GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_EXT
Returned by CheckFramebufferStatusEXT():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_UNSUPPORTED_EXT

public static final int GL_FRAMEBUFFER_UNSUPPORTED_EXT
Returned by CheckFramebufferStatusEXT():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BINDING_EXT

public static final int GL_FRAMEBUFFER_BINDING_EXT
Accepted by GetIntegerv():

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BINDING_EXT

public static final int GL_RENDERBUFFER_BINDING_EXT
Accepted by GetIntegerv():

See Also:
  - Constant Field Values

### GL_MAX_COLOR_ATTACHMENTS_EXT

public static final int GL_MAX_COLOR_ATTACHMENTS_EXT
Accepted by GetIntegerv():

See Also:
  - Constant Field Values

### GL_MAX_RENDERBUFFER_SIZE_EXT

public static final int GL_MAX_RENDERBUFFER_SIZE_EXT
Accepted by GetIntegerv():

See Also:
  - Constant Field Values

### GL_INVALID_FRAMEBUFFER_OPERATION_EXT

public static final int GL_INVALID_FRAMEBUFFER_OPERATION_EXT
Returned by GetError():

See Also:
  - Constant Field Values

## Method Details

### glIsRenderbufferEXT

public static boolean glIsRenderbufferEXT(int renderbuffer)

### glBindRenderbufferEXT

public static void glBindRenderbufferEXT(int target, int renderbuffer)

### glDeleteRenderbuffersEXT

public static void glDeleteRenderbuffersEXT(IntBuffer renderbuffers)

### glDeleteRenderbuffersEXT

public static void glDeleteRenderbuffersEXT(int renderbuffer)
Overloads glDeleteRenderbuffersEXT.

### glGenRenderbuffersEXT

public static void glGenRenderbuffersEXT(IntBuffer renderbuffers)

### glGenRenderbuffersEXT

public static int glGenRenderbuffersEXT()
Overloads glGenRenderbuffersEXT.

### glRenderbufferStorageEXT

public static void glRenderbufferStorageEXT(int target, int internalformat, int width, int height)

### glGetRenderbufferParameterEXT

public static void glGetRenderbufferParameterEXT(int target, int pname, IntBuffer params)

### glGetRenderbufferParameterEXT

@Deprecated public static int glGetRenderbufferParameterEXT(int target, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetRenderbufferParameteriEXT(int, int)` instead.
Overloads glGetRenderbufferParameterivEXT.

### glGetRenderbufferParameteriEXT

public static int glGetRenderbufferParameteriEXT(int target, int pname)
Overloads glGetRenderbufferParameterivEXT.

### glIsFramebufferEXT

public static boolean glIsFramebufferEXT(int framebuffer)

### glBindFramebufferEXT

public static void glBindFramebufferEXT(int target, int framebuffer)

### glDeleteFramebuffersEXT

public static void glDeleteFramebuffersEXT(IntBuffer framebuffers)

### glDeleteFramebuffersEXT

public static void glDeleteFramebuffersEXT(int framebuffer)
Overloads glDeleteFramebuffersEXT.

### glGenFramebuffersEXT

public static void glGenFramebuffersEXT(IntBuffer framebuffers)

### glGenFramebuffersEXT

public static int glGenFramebuffersEXT()
Overloads glGenFramebuffersEXT.

### glCheckFramebufferStatusEXT

public static int glCheckFramebufferStatusEXT(int target)

### glFramebufferTexture1DEXT

public static void glFramebufferTexture1DEXT(int target, int attachment, int textarget, int texture, int level)

### glFramebufferTexture2DEXT

public static void glFramebufferTexture2DEXT(int target, int attachment, int textarget, int texture, int level)

### glFramebufferTexture3DEXT

public static void glFramebufferTexture3DEXT(int target, int attachment, int textarget, int texture, int level, int zoffset)

### glFramebufferRenderbufferEXT

public static void glFramebufferRenderbufferEXT(int target, int attachment, int renderbuffertarget, int renderbuffer)

### glGetFramebufferAttachmentParameterEXT

public static void glGetFramebufferAttachmentParameterEXT(int target, int attachment, int pname, IntBuffer params)

### glGetFramebufferAttachmentParameterEXT

@Deprecated public static int glGetFramebufferAttachmentParameterEXT(int target, int attachment, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetFramebufferAttachmentParameteriEXT(int, int, int)` instead.
Overloads glGetFramebufferAttachmentParameterivEXT.

### glGetFramebufferAttachmentParameteriEXT

public static int glGetFramebufferAttachmentParameteriEXT(int target, int attachment, int pname)
Overloads glGetFramebufferAttachmentParameterivEXT.

### glGenerateMipmapEXT

public static void glGenerateMipmapEXT(int target)